$! Simple DCL script to build SAVEQMGR.EXE on VMS

$!

$ SvVerify = F$Verify(1)

$ CFlags = "/decc /warnings=(enable=all, " + -

                "disable=(misalgndstrct, switchlong, ignorecallval)) " + -

                "/include_directory=mqs_include:"

$ CC 'CFlags' SaveQmgr

$ CC 'CFlags' Channel

$ CC 'CFlags' MqUtils

$ CC 'CFlags' Process

$ CC 'CFlags' NameList

$ CC 'CFlags' AuthInfo

$ CC 'CFlags' Qmgr

$ CC 'CFlags' Queue

$!

$ Open/Write Tmp saveqmgr.opt

$ Write Tmp "mqm/share"

$ Close Tmp

$!

$ Link /Trace /Nomap /Executable=SaveQmgr.exe SaveQmgr.Obj, -

        Channel.Obj, MqUtils.Obj, Process.Obj, NameList.Obj, Qmgr.Obj, -

        Queue.Obj, AuthInfo.Obj SaveQmgr/Options

$!

$ If .Not. SvVerify Then $ Set Noverify

$ Exit

